templates:
- github
- autotools
- base

catalog:
  title: ffmpeg video encoder

variables:
  description: >-
    A complete, cross-platform solution to record, convert and stream
    audio and video.
  keywords:
  - video

  github.user: FFmpeg
  github.project: FFmpeg

  git.local-branch: local
  branches:
  - master
  - release/3.1
  - release/3.2
  - release/3.3
  - release/3.4

  cflags: -I${toolkit.dir}/include ${next-value}
  configure.enable:
  - shared
  - gpl
  - nonfree
  - avresample
  - hwaccel=h264_vaapi
  - hwaccel=mpeg2_vaapi
  - hwaccel=mpeg4_vaapi
  - libfdk-aac
  - libfreetype
  - libmp3lame
  - libv4l2
  - libvidstab
  - libx264
  - libx265
  - libxcb
  - libxvid
  configure.disable:
  - static
  - runtime-cpudetect
  configure.args: |
    ${next-value| }  --cpu=${global.march|core2} \

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - libv4l-dev

  extra-requires:
  - library: x264
  - library: x265
  - library: lame
  - library: xvid
  - library: vpx
  - meta: vidstab
  - meta: fdk-aac
  - library: ass
  - '@{next-value|[]}'
  extra-provides:
  - meta: ffmpeg
  - '@{next-value|[]}'

versions:
- name: hash-18.05.18
  variables:
    commit: 8e7b13b971bed550f349110900e8196dde0989e2
